List Brands
This endpoint is used to list all brands associated with your organization.
GET
/
10dlc
/
brand
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const brandListResponse of client.messaging10dlc.brand.list()) {
console.log(brandListResponse.identityStatus);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.messaging_10dlc.brand.list()
page = page.records[0]
print(page.identity_status)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.Messaging10dlc.Brand.List(context.TODO(), telnyx.Messaging10dlcBrandListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.messaging10dlc.brand.BrandListPage;
import com.telnyx.sdk.models.messaging10dlc.brand.BrandListParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
BrandListPage page = client.messaging10dlc().brand().list();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.messaging_10dlc.brand.list
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->messaging10dlc->brand->list(
brandID: '826ef77a-348c-445b-81a5-a9b13c68fbfe',
country: 'country',
displayName: 'displayName',
entityType: 'entityType',
page: 1,
recordsPerPage: 0,
sort: 'assignedCampaignsCount',
state: 'state',
tcrBrandID: 'BBAND1',
);
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx messaging-10dlc:brand list \
--api-key 'My API Key'curl --request GET \
--url https://api.telnyx.com/v2/10dlc/brand \
--header 'Authorization: Bearer <token>'{
"records": [
{
"brandId": "4b206179-f731-8ab7-f19c-34e19d22ide9",
"tcrBrandId": "BBRAND1",
"entityType": "PRIVATE_PROFIT",
"identityStatus": "VERIFIED",
"companyName": "Example Company Inc.",
"displayName": "Example Company",
"email": "[email protected]",
"website": "www.examplecompany.com",
"failureReasons": "<string>",
"status": "OK",
"createdAt": "2021-03-08T17:57:48.801186",
"updatedAt": "2021-03-08T17:57:48.801186",
"assignedCampaingsCount": 2
}
],
"page": 1,
"totalRecords": 1
}{
"errors": [
{
"code": "string",
"title": "string",
"detail": "string",
"source": {
"pointer": "string",
"parameter": "string"
}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Page number to retrieve (1-based).
Required range:
x >= 1number of records per page. maximum of 500
Specifies the sort order for results. If not given, results are sorted by createdAt in descending order. Specifies the sort order for results. If not given, results are sorted by created_at in descending order.
Available options:
assignedCampaignsCount, -assignedCampaignsCount, brandId, -brandId, createdAt, -createdAt, displayName, -displayName, identityStatus, -identityStatus, status, -status, tcrBrandId, -tcrBrandId Filter results by display name.
Filter results by entity type.
Filter results by state.
Filter results by country.
Filter results by the Telnyx Brand id
Example:
"826ef77a-348c-445b-81a5-a9b13c68fbfe"
Filter results by the TCR Brand id
Example:
"BBAND1"
Was this page helpful?
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const brandListResponse of client.messaging10dlc.brand.list()) {
console.log(brandListResponse.identityStatus);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.messaging_10dlc.brand.list()
page = page.records[0]
print(page.identity_status)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.Messaging10dlc.Brand.List(context.TODO(), telnyx.Messaging10dlcBrandListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.messaging10dlc.brand.BrandListPage;
import com.telnyx.sdk.models.messaging10dlc.brand.BrandListParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
BrandListPage page = client.messaging10dlc().brand().list();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.messaging_10dlc.brand.list
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->messaging10dlc->brand->list(
brandID: '826ef77a-348c-445b-81a5-a9b13c68fbfe',
country: 'country',
displayName: 'displayName',
entityType: 'entityType',
page: 1,
recordsPerPage: 0,
sort: 'assignedCampaignsCount',
state: 'state',
tcrBrandID: 'BBAND1',
);
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx messaging-10dlc:brand list \
--api-key 'My API Key'curl --request GET \
--url https://api.telnyx.com/v2/10dlc/brand \
--header 'Authorization: Bearer <token>'{
"records": [
{
"brandId": "4b206179-f731-8ab7-f19c-34e19d22ide9",
"tcrBrandId": "BBRAND1",
"entityType": "PRIVATE_PROFIT",
"identityStatus": "VERIFIED",
"companyName": "Example Company Inc.",
"displayName": "Example Company",
"email": "[email protected]",
"website": "www.examplecompany.com",
"failureReasons": "<string>",
"status": "OK",
"createdAt": "2021-03-08T17:57:48.801186",
"updatedAt": "2021-03-08T17:57:48.801186",
"assignedCampaingsCount": 2
}
],
"page": 1,
"totalRecords": 1
}{
"errors": [
{
"code": "string",
"title": "string",
"detail": "string",
"source": {
"pointer": "string",
"parameter": "string"
}
}
]
}